%define docver 3.08

Summary:      The Objective Caml compiler and programming environment
Name:         ocaml
Version:      3.08.2
Release:      1
Group:        Development/Languages
License:      Open Source
Source0:      http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{version}.tar.bz2
Source1:      http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{docver}-refman.html.tar.gz
Source2:      http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{docver}-refman.ps.gz
Source3:      http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{docver}-refman.info.tar.gz
Source4:      http://caml.inria.fr/distrib/%{name}-%{version}/%{name}-%{docver}-refman.pdf
#Patch0:       http://caml.inria.fr/distrib/ocaml-3.07/ocaml-3.07-patch1.diffs
URL:          http://caml.inria.fr/
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Packager:     Fernando Lopez-Lezcano, Axel Thimm
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: ncurses-devel gdbm-devel tcl tk XFree86-devel
BuildRequires: emacs

Obsoletes: ocaml-doc ocamltk camlp4

%define debug_package %{nil}

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel system,
parsing tools (Lex,Yacc,Camlp4), a replay debugger, a documentation generator,
and a comprehensive library.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
%setup -q -T -D -a 3
cp %{SOURCE2} refman.ps.gz
cp %{SOURCE4} refman.pdf
# %patch0 -p1

%build
./configure -bindir %{_bindir} -libdir %{_libdir}/ocaml -mandir %{_mandir}/man1
%{__make} world opt opt.opt

%install
%{__rm} -rf %{buildroot}
%makeinstall BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir}/ocaml MANDIR=%{buildroot}%{_mandir}
%{__mv} %{buildroot}%{_libdir}/ocaml/ld.conf %{buildroot}%{_libdir}/ocaml/ld.conf.orig
%{__sed} -e "s|^%{buildroot}||" %{buildroot}%{_libdir}/ocaml/ld.conf.orig > %{buildroot}%{_libdir}/ocaml/ld.conf
%{__rm} -f %{buildroot}%{_libdir}/ocaml/ld.conf.orig
(cd emacs; %{__make} install BINDIR=%{buildroot}%{_bindir} EMACSDIR=%{buildroot}%{_datadir}/emacs/site-lisp)
(%{__mkdir} -p %{buildroot}%{_infodir}; cd infoman; cp ocaml*.gz %{buildroot}%{_infodir})

# Disable build root strip policy:
# executables generated by ocamlc -custom MUST NOT BE STRIPPED
# But now that we have dynamic loading of C code, none of the executables
# in the distribution is generated by ocamlc -custom, so leave default.
# %define __spec_install_post /usr/lib/rpm/brp-compress

%files
%defattr(-, root, root)
%doc README LICENSE refman.ps.gz htmlman
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_libdir}/ocaml
%{_datadir}/emacs/site-lisp/*
%{_infodir}/*

%changelog
* Sun Jan 16 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.08.2-1
- updated to 3.08.2
* Tue Mar 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.07-1
- disabled building debug packages
* Mon Mar 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- imported from atrpms, previous Planet CCRMA packages were
  based on Mandrake source rpm. 
- dropped the epoch (don't know why it was there, not in the
  changelog)
- added obsoletes for the old Planet CCRMA packages

* Mon Oct 13 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to 3.07.

* Wed Apr  9 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Rebuilt for Red Hat 9.

* Tue Nov 26 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Added %{_mandir}/mano/* entry
